GDCM: gdcm::Region Class Reference

GDCM 3.2.8

Public Member Functions | List of all members
gdcm::Region Class Referenceabstract

Class for manipulation region. More...

`#include <gdcmRegion.h>`

Inheritance diagram for gdcm::Region:
[legend]

## Public Member Functions
| Region ()
virtual | ~Region ()
virtual size_t | Area () const =0
| compute the area
virtual Region * | Clone () const =0
virtual BoxRegion | ComputeBoundingBox ()=0
| Return the Axis-Aligned minimum bounding box for all regions.
virtual bool | Empty () const =0
| return whether this domain is empty:
virtual bool | IsValid () const =0
| return whether this is valid domain
virtual void | Print (std::ostream &os=std::cout) const
| Print.

## Detailed Description

Class for manipulation region.

## Constructor & Destructor Documentation

## ◆ Region()

gdcm::Region::Region | ( |  | ) |

Referenced by gdcm::BoxRegion::Clone(), and Clone().

## ◆ ~Region()

virtual gdcm::Region::~Region | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ Area()

virtual size_t gdcm::Region::Area | ( |  | ) | const
| pure virtual

compute the area

Implemented in gdcm::BoxRegion.

## ◆ Clone()

virtual Region * gdcm::Region::Clone | ( |  | ) | const
| pure virtual

Implemented in gdcm::BoxRegion.

References Region().

## ◆ ComputeBoundingBox()

virtual BoxRegion gdcm::Region::ComputeBoundingBox | ( |  | ) |
| pure virtual

Return the Axis-Aligned minimum bounding box for all regions.

Implemented in gdcm::BoxRegion.

## ◆ Empty()

virtual bool gdcm::Region::Empty | ( |  | ) | const
| pure virtual

return whether this domain is empty:

Implemented in gdcm::BoxRegion.

## ◆ IsValid()

virtual bool gdcm::Region::IsValid | ( |  | ) | const
| pure virtual

return whether this is valid domain

Implemented in gdcm::BoxRegion.

## ◆ Print()

virtual void gdcm::Region::Print | ( | std::ostream & | os = std::cout | ) | const
| virtual

Print.

Reimplemented in gdcm::BoxRegion.

Referenced by gdcm::operator<<().

The documentation for this class was generated from the following file:

- gdcmRegion.h